Bug 1003057 - Review Request: irstlm - Statistical language model tool
Review Request: irstlm - Statistical language model tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 12:06 EDT by Jerry James
Modified: 2013-11-10 01:44 EST (History)
3 users (show)

See Also:
Fixed In Version: irstlm-5.80.03-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 23:39:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2013-08-30 12:06:53 EDT
Spec URL: http://jjames.fedorapeople.org/irstlm/irstlm.spec
SRPM URL: http://jjames.fedorapeople.org/irstlm/irstlm-5.80.03-1.fc20.src.rpm
Description: Irstlm is a tool for the estimation, representation, and computation of statistical language models.
Fedora Account System Username: jjames
Comment 1 Tim Lauridsen 2013-10-23 12:04:36 EDT
I will review this one :)
Comment 2 Tim Lauridsen 2013-10-23 12:31:22 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "GPL (v2 or later)", "Unknown or generated". 12
     files have unknown license. Detailed output of licensecheck in
     /home/tim/udv/review/1003057-irstlm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[!]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: irstlm-5.80.03-1.fc19.x86_64.rpm
          irstlm-devel-5.80.03-1.fc19.x86_64.rpm
          irstlm-tools-5.80.03-1.fc19.x86_64.rpm
          irstlm-5.80.03-1.fc19.src.rpm
irstlm.x86_64: W: shared-lib-calls-exit /usr/lib64/libirstlm.so.0.0.0 exit@GLIBC_2.2.5
irstlm-devel.x86_64: W: no-documentation
irstlm-tools.x86_64: W: no-documentation
irstlm-tools.x86_64: W: no-manual-page-for-binary prune-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary build-lm-qsub.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary sort-lm.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary lm-stat.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary goograms2ngrams.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary dtsel
irstlm-tools.x86_64: W: no-manual-page-for-binary split-dict.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary score-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary ngt
irstlm-tools.x86_64: W: no-manual-page-for-binary dict
irstlm-tools.x86_64: W: no-manual-page-for-binary merge-sublm.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary compile-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary quantize-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary add-start-end.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary verify-caching
irstlm-tools.x86_64: W: no-manual-page-for-binary build-sublm.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary mdtsel.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary plsa
irstlm-tools.x86_64: W: no-manual-page-for-binary ngram-split.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary rm-start-end.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary build-lm.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary interpolate-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary tlm
irstlm-tools.x86_64: W: no-manual-page-for-binary split-ngt.sh
4 packages and 0 specfiles checked; 0 errors, 27 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint irstlm-devel irstlm irstlm-tools
irstlm-devel.x86_64: W: no-documentation
irstlm.x86_64: W: shared-lib-calls-exit /usr/lib64/libirstlm.so.0.0.0 exit@GLIBC_2.2.5
irstlm-tools.x86_64: W: no-documentation
irstlm-tools.x86_64: W: no-manual-page-for-binary prune-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary build-lm-qsub.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary sort-lm.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary lm-stat.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary goograms2ngrams.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary dtsel
irstlm-tools.x86_64: W: no-manual-page-for-binary split-dict.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary score-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary ngt
irstlm-tools.x86_64: W: no-manual-page-for-binary dict
irstlm-tools.x86_64: W: no-manual-page-for-binary merge-sublm.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary compile-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary quantize-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary add-start-end.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary verify-caching
irstlm-tools.x86_64: W: no-manual-page-for-binary build-sublm.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary mdtsel.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary plsa
irstlm-tools.x86_64: W: no-manual-page-for-binary ngram-split.pl
irstlm-tools.x86_64: W: no-manual-page-for-binary rm-start-end.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary build-lm.sh
irstlm-tools.x86_64: W: no-manual-page-for-binary interpolate-lm
irstlm-tools.x86_64: W: no-manual-page-for-binary tlm
irstlm-tools.x86_64: W: no-manual-page-for-binary split-ngt.sh
3 packages and 0 specfiles checked; 0 errors, 27 warnings.
# echo 'rpmlint-done:'



Requires
--------
irstlm-devel (rpmlib, GLIBC filtered):
    irstlm(x86-64)
    libirstlm.so.0()(64bit)

irstlm (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.3.3)(64bit)
    rtld(GNU_HASH)

irstlm-tools (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/perl
    irstlm(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libirstlm.so.0()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    perl(File::Basename)
    perl(Getopt::Long)
    perl(strict)
    rtld(GNU_HASH)



Provides
--------
irstlm-devel:
    irstlm-devel
    irstlm-devel(x86-64)

irstlm:
    irstlm
    irstlm(x86-64)
    libirstlm.so.0()(64bit)

irstlm-tools:
    irstlm-tools
    irstlm-tools(x86-64)



AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: irstlm-5.80.03/configure.in:19


Source checksums
----------------
http://downloads.sourceforge.net/irstlm/irstlm-5.80.03.tgz :
  CHECKSUM(SHA256) this package     : 500c64e90cae73c2f06ed34ad078423cc100f4e16e6dd98a9e466b17367d31e7
  CHECKSUM(SHA256) upstream package : 500c64e90cae73c2f06ed34ad078423cc100f4e16e6dd98a9e466b17367d31e7
Comment 3 Tim Lauridsen 2013-10-23 12:34:26 EDT
Issues:
Perl:
[!]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?
     
The tools package contains perls scripts, so it must require perl

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
Comment 4 Tim Lauridsen 2013-10-23 13:29:17 EDT
$ cat *.pl | grep -i "^use " | sort | uniq
use File::Basename;
use Getopt::Long "GetOptions";
use strict;

I am no perl expert but i think you need

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl(File::Basename)
Requires: perlGetopt::Long)
Requires: perl(strict)

They are all provided by perl, but that can change in the future
Comment 5 Jerry James 2013-10-23 16:53:36 EDT
(In reply to Tim Lauridsen from comment #3)
> Issues:
> Perl:
> [!]: Package contains the mandatory BuildRequires and Requires:.
>      Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
> echo
>      $version)) missing?

No, that is required for perl modules.  This package does not contain any modules, just scripts.

> The tools package contains perls scripts, so it must require perl

The autogenerated Requires include /usr/bin/perl (see the Requires section at the bottom of comment 2), which is sufficient.

> Generic:
> [!]: Package should not use obsolete m4 macros
>      Note: Some obsoleted macros found, see the attachment.
>      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

Fixed.

(In reply to Tim Lauridsen from comment #4)
> $ cat *.pl | grep -i "^use " | sort | uniq
> use File::Basename;
> use Getopt::Long "GetOptions";
> use strict;
> 
> I am no perl expert but i think you need
> 
> Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
> $version))
> Requires: perl(File::Basename)
> Requires: perlGetopt::Long)
> Requires: perl(strict)
> 
> They are all provided by perl, but that can change in the future

The autogenerated dependencies already include the last 3, and the first one isn't needed since there is no perl module.

New URLs:
Spec URL: http://jjames.fedorapeople.org/irstlm/irstlm.spec
SRPM URL: http://jjames.fedorapeople.org/irstlm/irstlm-5.80.03-2.fc21.src.rpm
Comment 6 Tim Lauridsen 2013-10-24 00:28:25 EDT
Missed the autogenerated deps :)

APPROVED
Comment 7 Jerry James 2013-10-24 11:01:56 EDT
No worries.  Thanks for the review, Tim!

New Package SCM Request
=======================
Package Name: irstlm
Short Description: Statistical language model tool
Owners: jjames
Branches: f19 f20
InitialCC:
Comment 8 Gwyn Ciesla 2013-10-24 11:07:41 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-10-24 12:20:34 EDT
irstlm-5.80.03-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/irstlm-5.80.03-2.fc20
Comment 10 Fedora Update System 2013-10-24 12:20:44 EDT
irstlm-5.80.03-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/irstlm-5.80.03-2.fc19
Comment 11 Fedora Update System 2013-10-24 21:51:45 EDT
irstlm-5.80.03-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-11-07 23:39:11 EST
irstlm-5.80.03-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-11-10 01:44:03 EST
irstlm-5.80.03-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.